
#define CATCH_CONFIG_MAIN
#include <catch2/catch.hpp>

#include <string>

#include <SimCore/Messages/SimTrack.hpp>


SCENARIO("Testing the SimCore Sensor")
{
  GIVEN("different Attributes for a Track in different forms")
  {

    
   

    WHEN("constructing Track Object with data")
    {
       
      THEN("check if Track attributes are correct")
      {
        // REQUIRE(Name.getValue() == "hello world");
       




      } //THEN
    } // WHEN
  } // GIVEN
} //SCENARIO